Index: branches/proxy/src/lib/network/handshake.cc
===================================================================
--- branches/proxy/src/lib/network/handshake.cc	(revision 9269)
+++ branches/proxy/src/lib/network/handshake.cc	(revision 9270)
@@ -25,5 +25,5 @@
 
 
-Handshake::Handshake( bool server, int clientId, int networkGameManagerId, int messageManagerId )
+Handshake::Handshake( int nodeType, int clientId, int networkGameManagerId, int messageManagerId )
   : Synchronizeable()
 {
@@ -31,5 +31,5 @@
   this->setClassID(CL_HANDSHAKE, "Handshake");
 
-  this->setIsServer(server);
+  this->setIsServer( nodeType == NET_MASTER_SERVER);
 
   // register all variable handlers
@@ -58,5 +58,5 @@
   localState.orxId = _ORXONOX_ID;
   localState.version = _ORXONOX_VERSION;
-  localState.nodeType = NET_CLIENT;
+  localState.nodeType = nodeType;
   localState.canDel = 0;
 
Index: branches/proxy/src/lib/network/handshake.h
===================================================================
--- branches/proxy/src/lib/network/handshake.h	(revision 9269)
+++ branches/proxy/src/lib/network/handshake.h	(revision 9270)
@@ -35,5 +35,5 @@
 
   public:
-    Handshake( bool server, int clientId = 0, int networkGameManagerId = 0, int messageManagerId = 0 );
+    Handshake( int nodeType, int clientId = 0, int networkGameManagerId = 0, int messageManagerId = 0 );
 
 
Index: branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- branches/proxy/src/lib/network/network_stream.cc	(revision 9269)
+++ branches/proxy/src/lib/network/network_stream.cc	(revision 9270)
@@ -64,5 +64,5 @@
   this->init();
   /* initialize the references */
-  this->type = NET_CLIENT;
+  this->nodeType = NET_CLIENT;
 }
 
@@ -75,5 +75,5 @@
 NetworkStream::NetworkStream( std::string host, int port )
 {
-  this->type = NET_CLIENT;
+  this->nodeType = NET_CLIENT;
   this->init();
   this->peers[0].socket = new UdpSocket( host, port );
@@ -90,5 +90,5 @@
 NetworkStream::NetworkStream( int port )
 {
-  this->type = NET_MASTER_SERVER;
+  this->nodeType = NET_MASTER_SERVER;
   this->init();
   this->serverSocket = new UdpServerSocket(port);
@@ -173,5 +173,5 @@
 void NetworkStream::startHandshake()
 {
-  Handshake* hs = new Handshake(false);
+  Handshake* hs = new Handshake(this->nodeType);
   hs->setUniqueID( 0 );
   assert( peers[0].handshake == NULL );
@@ -229,5 +229,5 @@
   }
 
-  if ( this->type == NET_MASTER_SERVER )
+  if ( this->nodeType == NET_MASTER_SERVER )
   {
     // execute everytthing the master server shoudl do
@@ -237,5 +237,5 @@
     this->updateConnectionList();
   }
-  else if( this->type == NET_PROXY_SERVER)
+  else if( this->nodeType == NET_PROXY_SERVER)
   {
     // execute everything the proxy server should do
@@ -292,5 +292,5 @@
       freeSocketSlots.pop_back();
       peers[clientId].socket = tempNetworkSocket;
-      peers[clientId].handshake = new Handshake(true, clientId, this->networkGameManager->getUniqueID(), MessageManager::getInstance()->getUniqueID() );
+      peers[clientId].handshake = new Handshake(this->nodeType, clientId, this->networkGameManager->getUniqueID(), MessageManager::getInstance()->getUniqueID() );
       peers[clientId].connectionMonitor = new ConnectionMonitor( clientId );
       peers[clientId].handshake->setUniqueID(clientId);
@@ -307,5 +307,5 @@
 
       peers[clientId].socket = tempNetworkSocket;
-      peers[clientId].handshake = new Handshake(true, clientId, this->networkGameManager->getUniqueID(), MessageManager::getInstance()->getUniqueID());
+      peers[clientId].handshake = new Handshake(this->nodeType, clientId, this->networkGameManager->getUniqueID(), MessageManager::getInstance()->getUniqueID());
       peers[clientId].handshake->setUniqueID(clientId);
       peers[clientId].connectionMonitor = new ConnectionMonitor( clientId );
@@ -437,8 +437,10 @@
           if ( !it->second.handshake->allowDel() )
           {
-            if ( type == NET_CLIENT )
+            if ( this->nodeType == NET_CLIENT )
             {
               SharedNetworkData::getInstance()->setHostID( it->second.handshake->getHostId() );
               myHostId = SharedNetworkData::getInstance()->getHostID();
+
+              PRINTF(0)("remote host is a %i\n", it->second.handshake->getRemoteNodeType());
 
               this->networkGameManager = NetworkGameManager::getInstance();
@@ -457,5 +459,5 @@
             if ( it->second.handshake->canDel() )
             {
-              if ( type == NET_MASTER_SERVER )
+              if ( this->nodeType == NET_MASTER_SERVER )
               {
                 handleNewClient( it->second.userId );
Index: branches/proxy/src/lib/network/network_stream.h
===================================================================
--- branches/proxy/src/lib/network/network_stream.h	(revision 9269)
+++ branches/proxy/src/lib/network/network_stream.h	(revision 9270)
@@ -48,7 +48,7 @@
 
     /* functions for the localhost settings */
-    inline bool isMasterServer() const { return (this->type == NET_MASTER_SERVER)? true:false; }
-    inline bool isProxyServer() const { return (this->type == NET_PROXY_SERVER)? true:false; }
-    inline bool isClient() const { return (this->type == NET_CLIENT)? true:false; }
+    inline bool isMasterServer() const { return (this->nodeType == NET_MASTER_SERVER)? true:false; }
+    inline bool isProxyServer() const { return (this->nodeType == NET_PROXY_SERVER)? true:false; }
+    inline bool isClient() const { return (this->nodeType == NET_CLIENT)? true:false; }
 //     inline bool isActive() const { return this->bActive; }
     inline int getMaxConnections(){ return MAX_CONNECTIONS; }
@@ -88,5 +88,5 @@
     PeerList                   peers;                       //!< list of the network node informations
 
-    int                        type;                        //!< the type of this host (NET_CLIENT, NET_MASTER_SERVER,...)
+    int                        nodeType;                    //!< the type of this host (NET_CLIENT, NET_MASTER_SERVER,...)
     int                        myHostId;                    //!< the host id of the localhost
 