Index: code/branches/presentation2012merge/src/orxonox/LevelInfo.h
===================================================================
--- code/branches/presentation2012merge/src/orxonox/LevelInfo.h	(revision 9271)
+++ code/branches/presentation2012merge/src/orxonox/LevelInfo.h	(revision 9272)
@@ -24,5 +24,5 @@
  *   Co-authors:
  *      ...
- *   
+ *
  */
 
@@ -79,5 +79,5 @@
             */
             inline const std::string& getName(void) const { return this->name_; } // tolua_export
-        
+
             /**
             @brief Set the screenshot of the Level.
@@ -117,5 +117,5 @@
             */
             inline bool hasTag(const std::string& tag) const { return this->tags_.find(tag) != this->tags_.end(); } // tolua_export
- 
+
             void setShips(const std::string& ships); //!< Set the starting ship models of the level
             bool addShip(const std::string& ship, bool update = true); //!< Add a model to shipselection
@@ -125,5 +125,5 @@
             */
             inline const std::string& getShips(void) const
-                { return this->startingShipsString_; }    
+                { return this->startingShipsString_; }
             /**
             @brief Get whether the Level allows a specific starting ship model
@@ -131,5 +131,5 @@
             @return Returns true if the Level allows the input ship model
             */
-            inline bool hasShip(const std::string& ship) const { return this->ships_.find(ship) != this->ships_.end(); } // tolua_export        
+            inline bool hasShip(const std::string& ship) const { return this->ships_.find(ship) != this->ships_.end(); } // tolua_export
             /**
             @brief Get the XML-filename of the Level.
@@ -138,5 +138,5 @@
 
             inline const std::string& getXMLFilename(void) const { return this->xmlfilename_; } // tolua_export
-	    inline void selectShip (const std::string& ship) { this->changeShip(ship); } // tolua_export
+            inline void selectShip (const std::string& ship) { this->changeShip(ship); } // tolua_export
 
 
@@ -153,30 +153,30 @@
         private:
 
-	    inline void changeShip (const std::string& model) {
-	        static std::string shipSelectionTag = "shipselection";
-        	//HACK: Read Level XML File, find "shipselection", replace with ship model
-        	std::string levelPath = "../levels/";
-        	levelPath.append(this->getXMLFilename());
-        	std::string tempPath = "../levels/";
-        	tempPath.append("_temp.oxw");
-        	orxout(user_status) << levelPath << endl;
-        	orxout(user_status) << tempPath << endl;
-        	std::ifstream myLevel (levelPath.c_str());
-			std::ofstream tempLevel (tempPath.c_str());
-			while(!myLevel.eof())
-			{
-				std::string buff;
-				std::getline(myLevel, buff);
-				std::string pawndesignString = "pawndesign=";
-				size_t found = buff.find(pawndesignString.append(shipSelectionTag)); 
-				if (found!= std::string::npos) 
-					buff = buff.substr(0, found + 11) + model + buff.substr(found+11+shipSelectionTag.length(), std::string::npos);
-				tempLevel.write(buff.c_str(), buff.length());
-				tempLevel << std::endl;
-			}
-			myLevel.close();
-			tempLevel.close();
-			orxout(user_status) << "done" << endl;
-	    } 
+            inline void changeShip (const std::string& model) {
+                static std::string shipSelectionTag = "shipselection";
+                //HACK: Read Level XML File, find "shipselection", replace with ship model
+                std::string levelPath = "../levels/";
+                levelPath.append(this->getXMLFilename());
+                std::string tempPath = "../levels/";
+                tempPath.append("_temp.oxw");
+                orxout(user_status) << levelPath << endl;
+                orxout(user_status) << tempPath << endl;
+                std::ifstream myLevel (levelPath.c_str());
+                std::ofstream tempLevel (tempPath.c_str());
+                while(!myLevel.eof())
+                {
+                    std::string buff;
+                    std::getline(myLevel, buff);
+                    std::string pawndesignString = "pawndesign=";
+                    size_t found = buff.find(pawndesignString.append(shipSelectionTag));
+                    if (found!= std::string::npos)
+                        buff = buff.substr(0, found + 11) + model + buff.substr(found+11+shipSelectionTag.length(), std::string::npos);
+                    tempLevel.write(buff.c_str(), buff.length());
+                    tempLevel << std::endl;
+                }
+                myLevel.close();
+                tempLevel.close();
+                orxout(user_status) << "done" << endl;
+            }
             void tagsUpdated(void); //!< Updates the comma-seperated string of all tags, if the set of tags has changed.
             void shipsUpdated(void); //!< Updates the comma-seperated string of all tags, if the set of tags has changed.
@@ -199,5 +199,5 @@
             std::string tagsString_; //!< The comma-seperated string of all the tags the Level is tagged with.
             std::set<std::string> ships_; //!< The set of starting ship models the Level allows.
-            std::string startingShipsString_; //!< The comma-seperated string of all the allowed ship models for the shipselection.            
+            std::string startingShipsString_; //!< The comma-seperated string of all the allowed ship models for the shipselection.
     }; // tolua_export
 
@@ -210,5 +210,5 @@
         - @b screenshot The screenshot of the level.
         - @b tags A comma-seperated string of tags. Allowed tags are: <em>test</em>, <em>singleplayer</em>, <em>multiplayer</em>, <em>showcase</em>, <em>tutorial</em>, <em>presentation</em>, <em>shipselection</em>.
-        - @b (optional) startingships The comma-seperated string of starting ship models 
+        - @b (optional) startingships The comma-seperated string of starting ship models
         An example would be:
         @code
@@ -224,6 +224,6 @@
     @author
         Damian 'Mozork' Frick
-	@edit
-		Matthias Hutter
+    @edit
+        Matthias Hutter
     @ingroup Orxonox
     */
@@ -235,5 +235,5 @@
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Creates a LevelInfo object through XML.
-        
+
             /**
             @brief Set the screenshot of the Level.
@@ -283,5 +283,5 @@
             */
             inline const std::string& getShips(void) const
-                { return this->LevelInfoItem::getShips(); }              
+                { return this->LevelInfoItem::getShips(); }
             LevelInfoItem* copy(void); //!< Copies the contents of this LevelInfo object to a new LevelInfoItem object.
     };
@@ -302,5 +302,5 @@
             }
     };
-    
+
 } // tolua_export
 
Index: code/branches/presentation2012merge/src/orxonox/ShipManager.cc
===================================================================
--- code/branches/presentation2012merge/src/orxonox/ShipManager.cc	(revision 9271)
+++ code/branches/presentation2012merge/src/orxonox/ShipManager.cc	(revision 9272)
@@ -22,5 +22,5 @@
  *   Author:
  *      Matthias Hutter
- *   
+ *
  */
 
@@ -28,5 +28,5 @@
     @file ShipManager.cc
     @brief Work-in Progress: Implementation of the ShipManager singleton.
-    	   Should make SpaceShip info available to lua handlers.
+           Should make SpaceShip info available to lua handlers.
 */
 
@@ -72,5 +72,5 @@
     }
 
-   
+
     /**
     @brief
@@ -132,18 +132,18 @@
     void ShipManager::compileAvailableShipList()
     {
-		/*
-		// We only want to load as little as possible
-		ClassTreeMask mask;
-		    mask.exclude(Class(BaseObject));
-		    mask.include(Class(SpaceShip));
-		SpaceShip* info = NULL;
-		XMLFile file = XMLFile(ship);
-		Loader::load(&file, mask, false, true);
-		for(ObjectList<SpaceShip>::iterator item = ObjectList<SpaceShip>::begin(); item != ObjectList<SpaceShip>::end(); ++item)
-		        if(item->getXMLFilename() == *it)
-		            info = item->copy();
-		Loader::unload(&file);
-		*/
-    
+        /*
+        // We only want to load as little as possible
+        ClassTreeMask mask;
+            mask.exclude(Class(BaseObject));
+            mask.include(Class(SpaceShip));
+        SpaceShip* info = NULL;
+        XMLFile file = XMLFile(ship);
+        Loader::load(&file, mask, false, true);
+        for(ObjectList<SpaceShip>::iterator item = ObjectList<SpaceShip>::begin(); item != ObjectList<SpaceShip>::end(); ++item)
+                if(item->getXMLFilename() == *it)
+                    info = item->copy();
+        Loader::unload(&file);
+        */
+
         // Get all files matching the level criteria
         Ogre::StringVectorPtr levels = Resource::findResourceNames("*.oxw");
Index: code/branches/presentation2012merge/src/orxonox/controllers/FormationController.cc
===================================================================
--- code/branches/presentation2012merge/src/orxonox/controllers/FormationController.cc	(revision 9271)
+++ code/branches/presentation2012merge/src/orxonox/controllers/FormationController.cc	(revision 9272)
@@ -50,25 +50,25 @@
 {
 
-  SetConsoleCommand("FormationController", "formationflight",  &FormationController::formationflight);
-  SetConsoleCommand("FormationController", "masteraction",     &FormationController::masteraction);
-  SetConsoleCommand("FormationController", "followme",         &FormationController::followme);
-  SetConsoleCommand("FormationController", "passivebehaviour", &FormationController::passivebehaviour);
-  SetConsoleCommand("FormationController", "formationsize",    &FormationController::formationsize);
-
-
-
-
-  static const unsigned int STANDARD_MAX_FORMATION_SIZE = 9;
-  static const int RADIUS_TO_SEARCH_FOR_MASTERS = 5000;
-  static const float FORMATION_LENGTH =  110;
-  static const float FORMATION_WIDTH =  110;
-  static const int FREEDOM_COUNT = 4; //seconds the slaves in a formation will be set free when master attacks an enemy
-  static const float SPEED_MASTER = 0.6f;
-  static const float ROTATEFACTOR_MASTER = 0.2f;
-  static const float SPEED_FREE = 0.8f;
-  static const float ROTATEFACTOR_FREE = 0.8f;
-
-  FormationController::FormationController(BaseObject* creator) : Controller(creator)
-  {
+    SetConsoleCommand("FormationController", "formationflight",  &FormationController::formationflight);
+    SetConsoleCommand("FormationController", "masteraction",     &FormationController::masteraction);
+    SetConsoleCommand("FormationController", "followme",         &FormationController::followme);
+    SetConsoleCommand("FormationController", "passivebehaviour", &FormationController::passivebehaviour);
+    SetConsoleCommand("FormationController", "formationsize",    &FormationController::formationsize);
+
+
+
+
+    static const unsigned int STANDARD_MAX_FORMATION_SIZE = 9;
+    static const int RADIUS_TO_SEARCH_FOR_MASTERS = 5000;
+    static const float FORMATION_LENGTH =  110;
+    static const float FORMATION_WIDTH =  110;
+    static const int FREEDOM_COUNT = 4; //seconds the slaves in a formation will be set free when master attacks an enemy
+    static const float SPEED_MASTER = 0.6f;
+    static const float ROTATEFACTOR_MASTER = 0.2f;
+    static const float SPEED_FREE = 0.8f;
+    static const float ROTATEFACTOR_FREE = 0.8f;
+
+    FormationController::FormationController(BaseObject* creator) : Controller(creator)
+    {
         RegisterObject(FormationController);
 
@@ -91,9 +91,9 @@
         this->team_=-1;
         this->target_.setCallback(createFunctor(&FormationController::targetDied, this));
-  }
-
-  FormationController::~FormationController()
-  {
-    if (this->isInitialized())
+    }
+
+    FormationController::~FormationController()
+    {
+        if (this->isInitialized())
         {
             this->removeFromFormation();
@@ -123,7 +123,7 @@
             }
         }
-  }
-
-  void FormationController::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    }
+
+    void FormationController::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
         SUPER(FormationController, XMLPort, xmlelement, mode);
@@ -137,9 +137,9 @@
 
 
-  /**
+    /**
         @brief Activates / deactivates formationflight behaviour
         @param form activate formflight if form is true
     */
-  void FormationController::formationflight(const bool form)
+    void FormationController::formationflight(const bool form)
     {
         for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it; ++it)
@@ -168,5 +168,5 @@
     }
 
-  /**
+    /**
         @brief Get all masters to do a "specific master action"
         @param action which action to perform (integer, so it can be called with a console command (tmp solution))
@@ -198,5 +198,5 @@
     }
 
-  /**
+    /**
         @brief Sets shooting behaviour of pawns.
         @param passive if true, bots won't shoot.
@@ -225,5 +225,5 @@
     }
 
-  /**
+    /**
         @brief Sets maximal formation size
         @param size maximal formation size.
@@ -282,11 +282,11 @@
         Vector2 coord = get2DViewcoordinates(this->getControllableEntity()->getPosition(), this->getControllableEntity()->getOrientation() * WorldEntity::FRONT, this->getControllableEntity()->getOrientation() * WorldEntity::UP, target);
         float distance = (target - this->getControllableEntity()->getPosition()).length();
-		if(coord.x < 0.0001 && coord.y < 0.0001)
-		{
-			// if the ship reaches a direction very close to the direct one, set it to the direct one
-			Vector3 v_temp = this->getControllableEntity()->getPosition();
-			Quaternion quat = v_temp.getRotationTo(target);
-			this->getControllableEntity()->rotate(quat);
-		}
+        if(coord.x < 0.0001 && coord.y < 0.0001)
+        {
+            // if the ship reaches a direction very close to the direct one, set it to the direct one
+            Vector3 v_temp = this->getControllableEntity()->getPosition();
+            Quaternion quat = v_temp.getRotationTo(target);
+            this->getControllableEntity()->rotate(quat);
+        }
 
         if(this->state_ == FREE)
@@ -324,42 +324,42 @@
 
         if(this->state_ == SLAVE)
-		{
-
-			this->getControllableEntity()->rotateYaw(-2.0f * ROTATEFACTOR_MASTER * coord.x * 2);
-			this->getControllableEntity()->rotatePitch(2.0f * ROTATEFACTOR_MASTER * coord.y * 2);
-
-			if (distance < 300)
-			{
-				if (bHasTargetOrientation_)
-				{
-					copyTargetOrientation();
-				}
-				if (distance < 100)
-				{ //linear speed reduction
-					this->getControllableEntity()->moveFrontBack(distance/100.0f*0.4f*SPEED_MASTER);
-
-				} else this->getControllableEntity()->moveFrontBack(1.2f*SPEED_MASTER);
-
-			} else {
-				this->getControllableEntity()->moveFrontBack(1.2f*SPEED_MASTER + distance/300.0f);
-			}
-		}
+        {
+
+            this->getControllableEntity()->rotateYaw(-2.0f * ROTATEFACTOR_MASTER * coord.x * 2);
+            this->getControllableEntity()->rotatePitch(2.0f * ROTATEFACTOR_MASTER * coord.y * 2);
+
+            if (distance < 300)
+            {
+                if (bHasTargetOrientation_)
+                {
+                    copyTargetOrientation();
+                }
+                if (distance < 100)
+                { //linear speed reduction
+                    this->getControllableEntity()->moveFrontBack(distance/100.0f*0.4f*SPEED_MASTER);
+                }
+                else
+                    this->getControllableEntity()->moveFrontBack(1.2f*SPEED_MASTER);
+            }
+            else
+                this->getControllableEntity()->moveFrontBack(1.2f*SPEED_MASTER + distance/300.0f);
+        }
 
         if (distance < 10)
         {
             this->positionReached();
-	    bHasTargetOrientation_=false;
-        }
-    }
-
-
-
-  void FormationController::moveToTargetPosition()
+            bHasTargetOrientation_=false;
+        }
+    }
+
+
+
+    void FormationController::moveToTargetPosition()
     {
         this->moveToPosition(this->targetPosition_);
     }
 
-  //copy the Roll orientation of given Quaternion.
-  void FormationController::copyOrientation(const Quaternion& orient)
+    //copy the Roll orientation of given Quaternion.
+    void FormationController::copyOrientation(const Quaternion& orient)
     {
         //roll angle difference in radian
@@ -379,5 +379,5 @@
 
 
-   /**
+    /**
         @brief Unregisters a slave from its master. Initiated by a slave.
     */
@@ -469,9 +469,9 @@
         }
     }
- /**
+
+    /**
         @brief Commands the slaves of a master into a formation. Sufficiently fast not to be called within tick. Initiated by a master.
     */
-
-void FormationController::commandSlaves()
+    void FormationController::commandSlaves()
     {
         if(this->state_ != MASTER) return;
@@ -487,9 +487,9 @@
         }
         else
-	// formation:
+        // formation:
         {
             dest += 1.0f*orient*WorldEntity::BACK;
             Vector3 pos = Vector3::ZERO;
-	         bool left=true;
+            bool left=true;
             int i = 1;
 
@@ -689,9 +689,10 @@
 
         if (specificMasterActionHoldCount_ == 0)
-         {
+        {
             this->specificMasterAction_ = NONE;
             this->searchNewTarget();
-         }
-        else specificMasterActionHoldCount_--;
+        }
+        else
+            specificMasterActionHoldCount_--;
     }
 
@@ -717,10 +718,10 @@
     void FormationController::turn180()
     {
-            Vector2 coord = get2DViewdirection(this->getControllableEntity()->getPosition(), this->getControllableEntity()->getOrientation() * WorldEntity::FRONT, this->getControllableEntity()->getOrientation() * WorldEntity::UP, this->targetPosition_);
-
-            this->getControllableEntity()->rotateYaw(-2.0f * sgn(coord.x) * coord.x*coord.x);
-            this->getControllableEntity()->rotatePitch(2.0f * sgn(coord.y) * coord.y*coord.y);
-
-            this->getControllableEntity()->moveFrontBack(SPEED_MASTER);
+        Vector2 coord = get2DViewdirection(this->getControllableEntity()->getPosition(), this->getControllableEntity()->getOrientation() * WorldEntity::FRONT, this->getControllableEntity()->getOrientation() * WorldEntity::UP, this->targetPosition_);
+
+        this->getControllableEntity()->rotateYaw(-2.0f * sgn(coord.x) * coord.x*coord.x);
+        this->getControllableEntity()->rotatePitch(2.0f * sgn(coord.y) * coord.y*coord.y);
+
+        this->getControllableEntity()->moveFrontBack(SPEED_MASTER);
     }
 
@@ -740,6 +741,6 @@
     void FormationController::spin()
     {
-            this->moveToTargetPosition();
-            this->getControllableEntity()->rotateRoll(0.8f);
+        this->moveToTargetPosition();
+        this->getControllableEntity()->rotateRoll(0.8f);
     }
 
@@ -779,24 +780,19 @@
         if((humanPawn != NULL) && (allMasters.size() != 0))
         {
-                float posHuman = humanPawn->getPosition().length();
-                float distance = 0.0f;
-                float minDistance = FLT_MAX;
-                int index = 0;
-                int i = 0;
-
-                for(std::vector<FormationController*>::iterator it = allMasters.begin(); it != allMasters.end(); it++, i++)
-                    {
-                        if (!FormationController::sameTeam((*it)->getControllableEntity(), humanPawn, (*it)->getGametype())) continue;
-                        distance = posHuman - (*it)->getControllableEntity()->getPosition().length();
-                        if(distance < minDistance) index = i;
-                    }
-                allMasters[index]->followInit(humanPawn);
-            }
-
-    }
-
-
-
-
+            float posHuman = humanPawn->getPosition().length();
+            float distance = 0.0f;
+            float minDistance = FLT_MAX;
+            int index = 0;
+            int i = 0;
+
+            for(std::vector<FormationController*>::iterator it = allMasters.begin(); it != allMasters.end(); it++, i++)
+            {
+                if (!FormationController::sameTeam((*it)->getControllableEntity(), humanPawn, (*it)->getGametype())) continue;
+                distance = posHuman - (*it)->getControllableEntity()->getPosition().length();
+                if(distance < minDistance) index = i;
+            }
+            allMasters[index]->followInit(humanPawn);
+        }
+    }
 
     /**
@@ -820,5 +816,5 @@
     }
 
-   /**
+    /**
         @brief Master begins to follow a randomly chosen human player of the same team. Is a "specific master action".
     */
@@ -848,5 +844,5 @@
 
 
-  /**
+    /**
         @brief Master follows target with adjusted speed. Called within tick.
     */
@@ -860,5 +856,5 @@
 
 
-  void FormationController::setTargetPosition(const Vector3& target)
+    void FormationController::setTargetPosition(const Vector3& target)
     {
         this->targetPosition_ = target;
@@ -924,5 +920,5 @@
     }
 
-  void FormationController::forgetTarget()
+    void FormationController::forgetTarget()
     {
         this->target_ = 0;
@@ -930,5 +926,5 @@
     }
 
-   void FormationController::targetDied()
+    void FormationController::targetDied()
     {
         this->forgetTarget();
@@ -936,5 +932,5 @@
     }
 
-  bool FormationController::sameTeam(ControllableEntity* entity1, ControllableEntity* entity2, Gametype* gametype)
+    bool FormationController::sameTeam(ControllableEntity* entity1, ControllableEntity* entity2, Gametype* gametype)
     {
         if (entity1 == entity2)
Index: code/branches/presentation2012merge/src/orxonox/gametypes/Mission.cc
===================================================================
--- code/branches/presentation2012merge/src/orxonox/gametypes/Mission.cc	(revision 9271)
+++ code/branches/presentation2012merge/src/orxonox/gametypes/Mission.cc	(revision 9272)
@@ -63,5 +63,5 @@
         {
             this->missionAccomplished_ = false;
-	    this->end();
+            this->end();
         }
     }
@@ -78,9 +78,9 @@
     {
         Gametype::end();
-	/*if (this->missionAccomplished_) 
+        /*if (this->missionAccomplished_)
             this->gtinfo_->sendAnnounceMessage("Mission accomplished!");
-	else
+        else
             this->gtinfo_->sendAnnounceMessage("Mission failed!");
-	 * */
+        */
     }
 
Index: code/branches/presentation2012merge/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- code/branches/presentation2012merge/src/orxonox/infos/PlayerInfo.cc	(revision 9271)
+++ code/branches/presentation2012merge/src/orxonox/infos/PlayerInfo.cc	(revision 9272)
@@ -173,5 +173,5 @@
         this->changedControllableEntity();
 
-		RadarViewable* radarviewable = orxonox_cast<RadarViewable*>(entity);
+        RadarViewable* radarviewable = orxonox_cast<RadarViewable*>(entity);
         if (radarviewable != NULL)
             radarviewable->setRadarName(this->getName());
Index: code/branches/presentation2012merge/src/orxonox/interfaces/RadarViewable.h
===================================================================
--- code/branches/presentation2012merge/src/orxonox/interfaces/RadarViewable.h	(revision 9271)
+++ code/branches/presentation2012merge/src/orxonox/interfaces/RadarViewable.h	(revision 9272)
@@ -61,14 +61,14 @@
         virtual ~RadarViewable();
 
-		virtual void setRadarName(const std::string& name)
-			{
-				if (this->radarName_ != name)
-				{
-					this->radarName_ = name;
-					this->settingsChanged();
-				}
-			}
-		const std::string& getRadarName() const
-			{ return this->radarName_; }
+        virtual void setRadarName(const std::string& name)
+            {
+                if (this->radarName_ != name)
+                {
+                    this->radarName_ = name;
+                    this->settingsChanged();
+                }
+            }
+        const std::string& getRadarName() const
+            { return this->radarName_; }
 
         inline void setRadarObjectCamouflage(float camouflage)
@@ -163,5 +163,5 @@
         ColourValue radarObjectColour_;
         float scale_;
-		std::string radarName_;
+        std::string radarName_;
     };
 }
Index: code/branches/presentation2012merge/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/presentation2012merge/src/orxonox/worldentities/ControllableEntity.cc	(revision 9271)
+++ code/branches/presentation2012merge/src/orxonox/worldentities/ControllableEntity.cc	(revision 9272)
@@ -87,5 +87,5 @@
         this->setPriority( Priority::VeryHigh );
         this->registerVariables();
-	this->team_ = -1;
+        this->team_ = -1;
     }
 
Index: code/branches/presentation2012merge/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- code/branches/presentation2012merge/src/orxonox/worldentities/ControllableEntity.h	(revision 9271)
+++ code/branches/presentation2012merge/src/orxonox/worldentities/ControllableEntity.h	(revision 9272)
@@ -164,8 +164,8 @@
             void setTargetInternal( uint32_t targetID );
 
-	    inline void setTeam(int team)
-	        { this->team_ = team; }
-	    inline int getTeam() const
-	        { return this->team_; }
+            inline void setTeam(int team)
+                { this->team_ = team; }
+            inline int getTeam() const
+                { return this->team_; }
 
         protected:
@@ -243,5 +243,5 @@
             WeakPtr<WorldEntity> target_;
 
-	    int team_ ; //<! teamnumber
+            int team_ ; //<! teamnumber
     };
 }
Index: code/branches/presentation2012merge/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/presentation2012merge/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9271)
+++ code/branches/presentation2012merge/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9272)
@@ -232,11 +232,11 @@
     {
         //Applies multiplier given by the DamageBoost Pickup.
-    	Pawn *test = dynamic_cast<Pawn *>(originator);
-    	if( test != NULL )
-    	{
-    	  damage *= originator->getDamageMultiplier();
-    	}
-
-    	if (this->getGametype() && this->getGametype()->allowPawnDamage(this, originator))
+        Pawn *test = dynamic_cast<Pawn *>(originator);
+        if( test != NULL )
+        {
+            damage *= originator->getDamageMultiplier();
+        }
+
+        if (this->getGametype() && this->getGametype()->allowPawnDamage(this, originator))
         {
             if (shielddamage >= this->getShieldHealth())
Index: code/branches/presentation2012merge/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/presentation2012merge/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 9271)
+++ code/branches/presentation2012merge/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 9272)
@@ -133,5 +133,5 @@
     {
         SetConfigValue(bInvertYAxis_, false).description("Set this to true for joystick-like mouse behaviour (mouse up = ship down).");
-        
+
         SetConfigValueExternal(bEnableMotionBlur_, "GraphicsSettings", "enableMotionBlur", true)
             .description("Enable or disable the motion blur effect when moving very fast")
@@ -503,6 +503,6 @@
     void SpaceShip::resetCamera()
     {
-	if(this->hasLocalController() && this->hasHumanController())
-	{
+        if(this->hasLocalController() && this->hasHumanController())
+        {
             Camera *camera = this->getCamera();
             if (camera == 0)
@@ -514,5 +514,5 @@
             camera->setPosition(this->cameraOriginalPosition_);
             camera->setOrientation(this->cameraOriginalOrientation_);
-	}
+        }
     }
 