Index: /branches/proxy/src/lib/network/Makefile.am
===================================================================
--- /branches/proxy/src/lib/network/Makefile.am	(revision 9275)
+++ /branches/proxy/src/lib/network/Makefile.am	(revision 9276)
@@ -8,6 +8,4 @@
 		      shared_network_data.cc \
 		      network_socket.cc \
-		      monitor/connection_monitor.cc \
-		      monitor/network_monitor.cc \
 		      network_stream.cc \
                       data_stream.cc \
@@ -28,4 +26,8 @@
 		      udp_broadcast.cc \
 		      \
+      		      monitor/connection_monitor.cc \
+		      monitor/network_monitor.cc \
+		      monitor/network_node.cc \
+		      \
 		      synchronizeable_var/synchronizeable_var.cc \
 		      synchronizeable_var/synchronizeable_vector.cc \
@@ -44,6 +46,4 @@
                  shared_network_data.h \
                  network_socket.h \
-                 monitor/connection_monitor.h \
-                 monitor/network_monitor.h \
 		 network_stream.h \
                  data_stream.h \
@@ -65,4 +65,8 @@
 		 udp_broadcast.h \
 		 \
+                 monitor/connection_monitor.h \
+                 monitor/network_monitor.h \
+                 monitor/network_node.h \
+		 \
 		 synchronizeable_var/synchronizeable_var.h \
 		 synchronizeable_var/synchronizeable_vector.h \
Index: /branches/proxy/src/lib/network/monitor/network_monitor.cc
===================================================================
--- /branches/proxy/src/lib/network/monitor/network_monitor.cc	(revision 9275)
+++ /branches/proxy/src/lib/network/monitor/network_monitor.cc	(revision 9276)
@@ -20,4 +20,6 @@
 
 #include "network_monitor.h"
+#include "network_node.h"
+
 
 SHELL_COMMAND(showGUI, NetworkMonitor, showGUI);
Index: /branches/proxy/src/lib/network/monitor/network_monitor.h
===================================================================
--- /branches/proxy/src/lib/network/monitor/network_monitor.h	(revision 9275)
+++ /branches/proxy/src/lib/network/monitor/network_monitor.h	(revision 9276)
@@ -14,23 +14,9 @@
 class NetworkStream;
 class PeerInfo;
+class NetworkNode;
 
 namespace OrxGui { class GLGuiBox; };
 
-//!< a class representing a node in the network (this can be a MASTER_SERVER, PROXY_SERVER or a CLIENT
-class NetworkNode
-{
-  public:
-    NetworkNode() {}
-    ~NetworkNode() {}
 
-
-  private:
-    int                          nodeType;                     //!< the type of the node
-
-    std::list<PeerInfo*>         clientList;                   //!< list of all clients in the network
-    std::list<PeerInfo*>         proxyServerList;              //!< list of all proxy servers in the network
-    std::list<PeerInfo*>         masterServerList;             //!< list of all master servers in the network (should be 1!! :D)
-
-};
 
 //!< a class that monitors the whole network. it tries to gather all informations its able to from the network
Index: /branches/proxy/src/lib/network/monitor/network_node.cc
===================================================================
--- /branches/proxy/src/lib/network/monitor/network_node.cc	(revision 9276)
+++ /branches/proxy/src/lib/network/monitor/network_node.cc	(revision 9276)
@@ -0,0 +1,26 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+### File Specific:
+   main-programmer: Patrick Boenzli
+*/
+
+
+#include "network_node.h"
+
+
+
+NetworkNode::NetworkNode()
+{}
+
+
+NetworkNode::~NetworkNode()
+{}
+
Index: /branches/proxy/src/lib/network/monitor/network_node.h
===================================================================
--- /branches/proxy/src/lib/network/monitor/network_node.h	(revision 9276)
+++ /branches/proxy/src/lib/network/monitor/network_node.h	(revision 9276)
@@ -0,0 +1,33 @@
+/*!
+ * @file network_node.h
+ *  a class representing a node in the network (this can be a MASTER_SERVER, PROXY_SERVER or a CLIENT
+ */
+
+#ifndef _NETWORK_NODE_H
+#define _NETWORK_NODE_H
+
+#include "base_object.h"
+#include "synchronizeable.h"
+
+#include <list>
+
+class PeerInfo;
+
+//!< a class representing a node in the network (this can be a MASTER_SERVER, PROXY_SERVER or a CLIENT
+class NetworkNode
+{
+  public:
+    NetworkNode();
+    ~NetworkNode();
+
+
+  private:
+    int                          nodeType;                     //!< the type of the node
+
+    std::list<PeerInfo*>         clientList;                   //!< list of all clients in the network
+    std::list<PeerInfo*>         proxyServerList;              //!< list of all proxy servers in the network
+    std::list<PeerInfo*>         masterServerList;             //!< list of all master servers in the network (should be 1!! :D)
+
+};
+
+#endif /* _NETWORK_NODE_H */