Index: code/branches/presentation2012merge/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- code/branches/presentation2012merge/src/modules/overlays/hud/HUDNavigation.h	(revision 9266)
+++ code/branches/presentation2012merge/src/modules/overlays/hud/HUDNavigation.h	(revision 9280)
@@ -36,5 +36,4 @@
 #include <string>
 
-
 #include "util/OgreForwardRefs.h"
 #include "tools/interfaces/Tickable.h"
@@ -44,77 +43,76 @@
 namespace orxonox
 {
-class _OverlaysExport HUDNavigation : public OrxonoxOverlay, public Tickable, public RadarListener
-{
-public:
-    HUDNavigation ( BaseObject* creator );
-    virtual ~HUDNavigation();
+    class _OverlaysExport HUDNavigation : public OrxonoxOverlay, public Tickable, public RadarListener
+    {
+        public:
+            HUDNavigation(BaseObject* creator);
+            virtual ~HUDNavigation();
 
-    void setConfigValues();
+            void setConfigValues();
 
-    virtual void XMLPort ( Element& xmlelement, XMLPort::Mode mode );
-    virtual void tick ( float dt );
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void tick(float dt);
 
-    // RadarListener interface
-    virtual void addObject ( RadarViewable* object );
-    virtual void removeObject ( RadarViewable* viewable );
-    virtual void objectChanged ( RadarViewable* viewable );
+            // RadarListener interface
+            virtual void addObject(RadarViewable* object);
+            virtual void removeObject(RadarViewable* viewable);
+            virtual void objectChanged(RadarViewable* viewable);
 
-    virtual void changedOwner();
-    virtual void sizeChanged();
-    virtual void angleChanged() { }
-    virtual void positionChanged() { }
-    virtual void radarTick ( float dt ) {}
+            virtual void changedOwner();
+            virtual void sizeChanged();
+            virtual void angleChanged() { }
+            virtual void positionChanged() { }
+            virtual void radarTick(float dt) {}
 
-    inline float getRadarSensitivity() const
-    { return 1.0f; }
+            inline float getRadarSensitivity() const
+                { return 1.0f; }
 
-    unsigned int getMarkerLimit() { return this->markerLimit_; }
+            inline unsigned int getMarkerLimit() const
+                { return this->markerLimit_; }
 
-private:
-    struct ObjectInfo
-    {
-        Ogre::PanelOverlayElement* panel_;
-        Ogre::TextAreaOverlayElement* text_;
-        bool outOfView_;
-        bool wasOutOfView_;
+        private:
+            struct ObjectInfo
+            {
+                Ogre::PanelOverlayElement* panel_;
+                Ogre::TextAreaOverlayElement* text_;
+                bool outOfView_;
+                bool wasOutOfView_;
+            };
 
+            bool showObject(RadarViewable* rv);
+
+            // XMLPort accessors
+            inline void setNavMarkerSize(float size)
+            {
+                navMarkerSize_ = size;
+                this->sizeChanged();
+            }
+            inline float getNavMarkerSize() const
+                { return navMarkerSize_; }
+            inline void setDetectionLimit(float limit)
+                { this->detectionLimit_ = limit; }
+            inline float getDetectionLimit() const
+                { return this->detectionLimit_; }
+
+            void setTextSize(float size);
+            float getTextSize() const;
+
+            void setFont(const std::string& font);
+            const std::string& getFont() const;
+
+            float getArrowSizeX(int dist) const;
+            float getArrowSizeY(int dist) const;
+
+            std::map<RadarViewable*, ObjectInfo> activeObjectList_;
+            std::list<std::pair<RadarViewable*, unsigned int> > sortedObjectList_;
+
+            float navMarkerSize_;
+            std::string fontName_;
+            float textSize_;
+            bool showDistance_;
+
+            unsigned int markerLimit_;
+            float detectionLimit_; //!< Objects that are more far away than detectionLimit_ are not displayed on the HUD. 10000.0f is the default value.
     };
-
-    bool showObject( RadarViewable* rv );
-
-    // XMLPort accessors
-    void setNavMarkerSize ( float size )
-        { navMarkerSize_ = size; this->sizeChanged(); }
-    float getNavMarkerSize() const
-        { return navMarkerSize_; }
-    void setDetectionLimit( float limit ) 
-        { this->detectionLimit_ = limit; } 
-    float getDetectionLimit() const 
-        { return this->detectionLimit_; }
-
-    void setTextSize ( float size );
-    float getTextSize() const;
-
-    void setFont ( const std::string& font );
-    const std::string& getFont() const;
-
-    typedef std::map<RadarViewable*, ObjectInfo > ObjectMap;
-    ObjectMap activeObjectList_;
-
-    typedef std::list < std::pair<RadarViewable*, unsigned int > > sortedList;
-    sortedList sortedObjectList_;
-
-    float getArrowSizeX(int dist);    
-    float getArrowSizeY(int dist);
-
-    float navMarkerSize_;
-    std::string fontName_;
-    float textSize_;
-    bool showDistance;
-
-    unsigned int markerLimit_;
-    float detectionLimit_; //!< Objects that are more far away than detectionLimit_ are not displayed on the HUD. 10000.0f is the default value. 
-
-};
 }
 