Index: branches/proxy/src/lib/network/monitor/network_monitor.cc
===================================================================
--- branches/proxy/src/lib/network/monitor/network_monitor.cc	(revision 9283)
+++ branches/proxy/src/lib/network/monitor/network_monitor.cc	(revision 9284)
@@ -40,5 +40,5 @@
   this->networkStream = networkStream;
   this->playerNumber = 0;
-  this->localNode = new NetworkNode();
+  this->localNode = new NetworkNode( this->networkStream->getPeerInfo());
 
   this->setSynchronized(false);
Index: branches/proxy/src/lib/network/monitor/network_node.cc
===================================================================
--- branches/proxy/src/lib/network/monitor/network_node.cc	(revision 9283)
+++ branches/proxy/src/lib/network/monitor/network_node.cc	(revision 9284)
@@ -16,5 +16,4 @@
 #include "network_node.h"
 
-
 #include "debug.h"
 
@@ -23,8 +22,8 @@
  * constructor
  */
-NetworkNode::NetworkNode()
+NetworkNode::NetworkNode(PeerInfo* pInfo)
 {
   this->playerNumber = 0;
-  this->nodeType = NET_CLIENT;
+  this->peerInfo = pInfo;
 }
 
Index: branches/proxy/src/lib/network/monitor/network_node.h
===================================================================
--- branches/proxy/src/lib/network/monitor/network_node.h	(revision 9283)
+++ branches/proxy/src/lib/network/monitor/network_node.h	(revision 9284)
@@ -9,8 +9,8 @@
 #include "base_object.h"
 #include "synchronizeable.h"
+#include "peer_info.h"
 
 #include <list>
 
-class PeerInfo;
 
 //!< a class representing a node in the network (this can be a MASTER_SERVER, PROXY_SERVER or a CLIENT
@@ -18,5 +18,5 @@
 {
   public:
-    NetworkNode();
+    NetworkNode(PeerInfo* pInfo);
     ~NetworkNode();
 
@@ -33,10 +33,10 @@
     inline int getPlayerNumber() { return this->playerNumber; }
     /** @returns the node type of this node */
-    inline int getNodeType() { return this->nodeType; }
+    inline int getNodeType() { return this->peerInfo->nodeType; }
 
 
   private:
-    int                          nodeType;                     //!< the type of the node
     int                          playerNumber;                 //!< localy direct connected player number
+    PeerInfo*                    peerInfo;                     //!< the peer informationa about this node
 
     /* network nodes directly connected to this node */
Index: branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- branches/proxy/src/lib/network/network_stream.cc	(revision 9283)
+++ branches/proxy/src/lib/network/network_stream.cc	(revision 9284)
@@ -107,4 +107,10 @@
   this->networkMonitor = NULL;
 
+  this->pInfo = new PeerInfo();
+  this->pInfo->nodeType = NET_CLIENT;
+  this->pInfo->userId = 0;
+  this->pInfo->lastAckedState = 0;
+  this->pInfo->lastRecvedState = 0;
+
   this->myHostId = 0;
   this->currentState = 0;
@@ -154,4 +160,7 @@
   for ( SynchronizeableList::const_iterator it = getSyncBegin(); it != getSyncEnd(); it ++ )
     (*it)->setNetworkStream( NULL );
+
+  if( this->pInfo)
+    delete this->pInfo;
 }
 
Index: branches/proxy/src/lib/network/network_stream.h
===================================================================
--- branches/proxy/src/lib/network/network_stream.h	(revision 9283)
+++ branches/proxy/src/lib/network/network_stream.h	(revision 9284)
@@ -60,7 +60,13 @@
     inline bool isUserClient( int userID ){ if ( !isUserIdActive(userID) ) return false; return peers[userID].isClient(); }
 
+    /* peering interface */
+    inline PeerInfo & getPeerInfo( int userId ) { return peers[userId]; }
+    inline PeerInfo* getPeerInfo() { return this->pInfo; }
+    inline PeerList getPeerInfoList() { return this->peers; }
 
+    /* data processing*/
     virtual void processData();
 
+    /* debugging */
     void debug();
 
@@ -70,5 +76,4 @@
     inline SynchronizeableList::const_iterator getSyncBegin(){ return synchronizeables.begin(); }
     inline SynchronizeableList::const_iterator getSyncEnd(){ return synchronizeables.end(); }
-    inline PeerInfo & getPeerInfo( int userId ) { return peers[userId]; }
     void cleanUpOldSyncList();
     int getSyncCount();
@@ -88,4 +93,5 @@
     PeerList                   peers;                       //!< list of the network node informations
 
+    PeerInfo*                  pInfo;                       //!< the info about the local peer node (not in the PeerList)
     int                        nodeType;                    //!< the type of this host (NET_CLIENT, NET_MASTER_SERVER,...)
     int                        myHostId;                    //!< the host id of the localhost